import request from '@/utils/request'
/********************************************模块接口*********************************************/
//获取接口list编码
export function getBlockPage(params) {
    return request({
        url: '/panoramic/block/page',
        method: 'get',
        params
    })
}
//通用list查询
export function getResultList(params) {
    return request({
        url: '/panoramic/common/list',
        method: 'get',
        params
    })
}
//公共请求方法
export function getRequestResult(params) {
    let returnData = new Promise((resolve, reject) => {
        getResultList(params)
            .then((res) => {
                if (res.code == 1) resolve(res.result)
            })
            .catch((err) => { })
    })
    return returnData
}
//工程结构树
export function getListWithRange(params) {
    return request({
        url: '/tofly-sxgk/structure/listWithRange',
        method: 'get',
        params
    })
}
//带范围和施工状态的工程结构树
export function getPbsListWithRange(params) {
    return request({
        url: '/tofly-sxgk/structure/structuredetailList',
        method: 'get',
        params
    })
}